%%%---------------------------------------
%%% module      : data_custom_unite_buff
%%% description : 材料上交/联合buff配置
%%%
%%%---------------------------------------
-module(data_custom_unite_buff).
-compile(export_all).
-include("custom_unite_buff.hrl").



get_ctrl_cfg(1,Day) when 1 =< Day, Day =< 60 ->
	#base_unite_buff_ctrl{suit=1,check_time=10,check_cum=30,check_max=80,ratio=10,awards=[{100,{0,109001,1}},{100,{0,109011,1}},{100,{0,109021,1}}]};
get_ctrl_cfg(1,Day) when 61 =< Day, Day =< 999 ->
	#base_unite_buff_ctrl{suit=1,check_time=30,check_cum=40,check_max=50,ratio=20,awards=[{100,{0,109002,1}},{100,{0,109012,1}},{100,{0,109022,1}}]};
get_ctrl_cfg(2,Day) when 12 =< Day, Day =< 999 ->
	#base_unite_buff_ctrl{suit=2,check_time=30,check_cum=40,check_max=50,ratio=20,awards=[{100,{0,109002,2}},{100,{0,109012,2}},{100,{0,109022,2}}]};
get_ctrl_cfg(2,Day) when 1 =< Day, Day =< 11 ->
	#base_unite_buff_ctrl{suit=2,check_time=10,check_cum=30,check_max=80,ratio=10,awards=[{100,{0,109001,2}},{100,{0,109011,2}},{100,{0,109021,2}}]};
get_ctrl_cfg(_Suit,_Day) ->
    [].

get_role_dot_awards(1,1) ->
    #base_unite_buff_awards{suit = 1,dot = 1,need = 10,type = 1,awards = 1};

get_role_dot_awards(1,2) ->
    #base_unite_buff_awards{suit = 1,dot = 2,need = 20,type = 2,awards = [{0,109004,1}]};

get_role_dot_awards(1,3) ->
    #base_unite_buff_awards{suit = 1,dot = 3,need = 30,type = 1,awards = 2};

get_role_dot_awards(1,4) ->
    #base_unite_buff_awards{suit = 1,dot = 4,need = 40,type = 2,awards = [{0,109014,1}]};

get_role_dot_awards(1,5) ->
    #base_unite_buff_awards{suit = 1,dot = 5,need = 50,type = 1,awards = 3};

get_role_dot_awards(1,6) ->
    #base_unite_buff_awards{suit = 1,dot = 6,need = 60,type = 2,awards = [{0,109024,1}]};

get_role_dot_awards(1,7) ->
    #base_unite_buff_awards{suit = 1,dot = 7,need = 70,type = 3,awards = [4,[{100,102325,1}]]};

get_role_dot_awards(1,8) ->
    #base_unite_buff_awards{suit = 1,dot = 8,need = 80,type = 2,awards = [{0,109015,1}]};

get_role_dot_awards(1,9) ->
    #base_unite_buff_awards{suit = 1,dot = 9,need = 90,type = 1,awards = 5};

get_role_dot_awards(1,10) ->
    #base_unite_buff_awards{suit = 1,dot = 10,need = 100,type = 2,awards = [{0,109025,1}]};

get_role_dot_awards(1,11) ->
    #base_unite_buff_awards{suit = 1,dot = 11,need = 110,type = 1,awards = 6};

get_role_dot_awards(1,12) ->
    #base_unite_buff_awards{suit = 1,dot = 12,need = 120,type = 1,awards = 7};

get_role_dot_awards(1,13) ->
    #base_unite_buff_awards{suit = 1,dot = 13,need = 130,type = 1,awards = 8};

get_role_dot_awards(1,14) ->
    #base_unite_buff_awards{suit = 1,dot = 14,need = 140,type = 1,awards = 9};

get_role_dot_awards(1,15) ->
    #base_unite_buff_awards{suit = 1,dot = 15,need = 150,type = 1,awards = 10};

get_role_dot_awards(1,16) ->
    #base_unite_buff_awards{suit = 1,dot = 16,need = 160,type = 1,awards = 11};

get_role_dot_awards(1,17) ->
    #base_unite_buff_awards{suit = 1,dot = 17,need = 170,type = 1,awards = 12};

get_role_dot_awards(1,18) ->
    #base_unite_buff_awards{suit = 1,dot = 18,need = 180,type = 1,awards = 13};

get_role_dot_awards(1,19) ->
    #base_unite_buff_awards{suit = 1,dot = 19,need = 190,type = 1,awards = 14};

get_role_dot_awards(1,20) ->
    #base_unite_buff_awards{suit = 1,dot = 20,need = 200,type = 1,awards = 15};

get_role_dot_awards(2,1) ->
    #base_unite_buff_awards{suit = 2,dot = 1,need = 20,type = 1,awards = 1};

get_role_dot_awards(2,2) ->
    #base_unite_buff_awards{suit = 2,dot = 2,need = 50,type = 2,awards = [{0,109004,2}]};

get_role_dot_awards(2,3) ->
    #base_unite_buff_awards{suit = 2,dot = 3,need = 90,type = 1,awards = 2};

get_role_dot_awards(2,4) ->
    #base_unite_buff_awards{suit = 2,dot = 4,need = 140,type = 2,awards = [{0,109014,2}]};

get_role_dot_awards(2,5) ->
    #base_unite_buff_awards{suit = 2,dot = 5,need = 200,type = 1,awards = 3};

get_role_dot_awards(2,6) ->
    #base_unite_buff_awards{suit = 2,dot = 6,need = 270,type = 2,awards = [{0,109024,2}]};

get_role_dot_awards(2,7) ->
    #base_unite_buff_awards{suit = 2,dot = 7,need = 350,type = 1,awards = 4};

get_role_dot_awards(2,8) ->
    #base_unite_buff_awards{suit = 2,dot = 8,need = 430,type = 2,awards = [{0,109015,2}]};

get_role_dot_awards(2,9) ->
    #base_unite_buff_awards{suit = 2,dot = 9,need = 520,type = 1,awards = 5};

get_role_dot_awards(2,10) ->
    #base_unite_buff_awards{suit = 2,dot = 10,need = 610,type = 2,awards = [{0,109025,2}]};

get_role_dot_awards(2,11) ->
    #base_unite_buff_awards{suit = 2,dot = 11,need = 700,type = 1,awards = 6};

get_role_dot_awards(2,12) ->
    #base_unite_buff_awards{suit = 2,dot = 12,need = 800,type = 1,awards = 7};

get_role_dot_awards(2,13) ->
    #base_unite_buff_awards{suit = 2,dot = 13,need = 900,type = 1,awards = 8};

get_role_dot_awards(2,14) ->
    #base_unite_buff_awards{suit = 2,dot = 14,need = 1000,type = 1,awards = 9};

get_role_dot_awards(2,15) ->
    #base_unite_buff_awards{suit = 2,dot = 15,need = 1100,type = 1,awards = 10};

get_role_dot_awards(2,16) ->
    #base_unite_buff_awards{suit = 2,dot = 16,need = 1200,type = 1,awards = 11};

get_role_dot_awards(2,17) ->
    #base_unite_buff_awards{suit = 2,dot = 17,need = 1300,type = 1,awards = 12};

get_role_dot_awards(2,18) ->
    #base_unite_buff_awards{suit = 2,dot = 18,need = 1400,type = 1,awards = 13};

get_role_dot_awards(2,19) ->
    #base_unite_buff_awards{suit = 2,dot = 19,need = 2000,type = 2,awards = [{0,109026,2}]};

get_role_dot_awards(_Suit,_Dot) ->
    [].


get_suit_dot(1) ->
    [{1,10},{2,20},{3,30},{4,40},{5,50},{6,60},{7,70},{8,80},{9,90},{10,100},{11,110},{12,120},{13,130},{14,140},{15,150},{16,160},{17,170},{18,180},{19,190},{20,200}];


get_suit_dot(2) ->
    [{1,20},{2,50},{3,90},{4,140},{5,200},{6,270},{7,350},{8,430},{9,520},{10,610},{11,700},{12,800},{13,900},{14,1000},{15,1100},{16,1200},{17,1300},{18,1400},{19,2000}];

get_suit_dot(_Suit) ->
    [].

get_max_dot(1) -> 200;
get_max_dot(2) -> 2000;
get_max_dot(_Suit) -> 0.

%%经验buff
get_buff_kind(extra_exp) ->
    1;

%%勇士鼓舞
get_buff_kind(encourage_free) ->
    2;

%%幻魔重生
get_buff_kind(boss_refresh) ->
    11;

%%副本双倍
get_buff_kind(dungeon_double) ->
    12;

%%副本刷新
get_buff_kind(dungeon_refresh) ->
    13;

%%抽奖折扣
get_buff_kind(capsule_egg_discount) ->
    14;

%%经验倍速
get_buff_kind(free_fast_exp) ->
    15;

%%祝福契约
get_buff_kind(boss_buff) ->
    3;

%%放置倍速
get_buff_kind(exp_dun_speed) ->
    4;

%%抽奖打折
get_buff_kind(activity_discount) ->
    21;

%%免费抽奖
get_buff_kind(activity_free) ->
    22;

%%双倍掉落
get_buff_kind(extra_drop) ->
    5;

%%拼单献礼
get_buff_kind(order_up) ->
    16;

%%龙神常驻
get_buff_kind(capsule_egg_keep) ->
    6;

get_buff_kind(_Func) ->
    0.

get_buff(1) ->
    #base_unite_buff{id = 1,kind = 1,data = 100,discount = 0,type = 1,time = 86400};

get_buff(2) ->
    #base_unite_buff{id = 2,kind = 1,data = 200,discount = 0,type = 1,time = 86400};

get_buff(3) ->
    #base_unite_buff{id = 3,kind = 2,data = 1,discount = 0,type = 1,time = 999999};

get_buff(4) ->
    #base_unite_buff{id = 4,kind = 11,data = 1,discount = 0,type = 1,time = 60};

get_buff(5) ->
    #base_unite_buff{id = 5,kind = 12,data = 200,discount = 0,type = 1,time = 86400};

get_buff(6) ->
    #base_unite_buff{id = 6,kind = 13,data = 1,discount = 0,type = 1,time = 86400};

get_buff(7) ->
    #base_unite_buff{id = 7,kind = 14,data = 2,discount = 80,type = 1,time = 999999};

get_buff(8) ->
    #base_unite_buff{id = 8,kind = 15,data = 1,discount = 0,type = 1,time = 999999};

get_buff(9) ->
    #base_unite_buff{id = 9,kind = 3,data = 100,discount = 0,type = 1,time = 43200};

get_buff(10) ->
    #base_unite_buff{id = 10,kind = 4,data = 100,discount = 0,type = 1,time = 43200};

get_buff(11) ->
    #base_unite_buff{id = 11,kind = 21,data = 10,discount = 80,type = 2,time = 0};

get_buff(12) ->
    #base_unite_buff{id = 12,kind = 22,data = 1,discount = 0,type = 2,time = 0};

get_buff(13) ->
    #base_unite_buff{id = 13,kind = 5,data = 3,discount = 7000,type = 1,time = 43200};

get_buff(14) ->
    #base_unite_buff{id = 14,kind = 16,data = 10,discount = 0,type = 1,time = 21600};

get_buff(15) ->
    #base_unite_buff{id = 15,kind = 6,data = 10000000,discount = 0,type = 1,time = 7200};

get_buff(_Id) ->
    [].

